curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/analyze_plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"k": 1,
"vector": {
"single_vector": [
123
],
"multi_vector": [
[
123
]
]
},
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"bypass_vector_index": true,
"columns": {
"column_names": [
"<string>"
],
"column_aliases": {}
},
"distance_type": "<string>",
"ef": 1,
"fast_search": true,
"filter": "<string>",
"full_text_query": {},
"lower_bound": 123,
"nprobes": 1,
"offset": 1,
"prefilter": true,
"refine_factor": 1,
"upper_bound": 123,
"vector_column": "<string>",
"version": 1,
"with_row_id": true
}
'"<string>"Analyze query execution plan
Analyze the query execution plan for a query against table id.
Returns detailed statistics and analysis of the query execution plan.
REST NAMESPACE ONLY
REST namespace returns the response as a plain string
instead of the AnalyzeTableQueryPlanResponse JSON object.
curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/analyze_plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"k": 1,
"vector": {
"single_vector": [
123
],
"multi_vector": [
[
123
]
]
},
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"bypass_vector_index": true,
"columns": {
"column_names": [
"<string>"
],
"column_aliases": {}
},
"distance_type": "<string>",
"ef": 1,
"fast_search": true,
"filter": "<string>",
"full_text_query": {},
"lower_bound": 123,
"nprobes": 1,
"offset": 1,
"prefilter": true,
"refine_factor": 1,
"upper_bound": 123,
"vector_column": "<string>",
"version": 1,
"with_row_id": true
}
'"<string>"Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Number of results to return
x >= 0Query vector(s) for similarity search. Provide either single_vector or multi_vector, not both.
Show child attributes
Show child attributes
Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Show child attributes
Whether to bypass vector index
Optional columns to return. Provide either column_names or column_aliases, not both.
Show child attributes
Show child attributes
Distance metric to use
Search effort parameter for HNSW index
x >= 0Whether to use fast search
Optional SQL filter expression
Optional full-text search query. Provide either string_query or structured_query, not both.
Show child attributes
Show child attributes
Lower bound for search
Number of probes for IVF index
x >= 0Number of results to skip
x >= 0Whether to apply filtering before vector search
Refine factor for search
x >= 0Upper bound for search
Name of the vector column to search
Table version to query
x >= 0If true, return the row id as a column called _rowid
Response
Query execution plan analysis
Human-readable query execution plan analysis
Was this page helpful?